TeamViewer Permissions Vulnerability (Windows)

Medium Nessus Plugin ID 105074


The remote Windows host contains a program that is affected by a permissions vulnerability.


According to its version number, the TeamViewer install on the remote Windows host is a version prior to 11.0.89975, 12.0.89970, or 13.0.5640.
It is, therefore, affected by a permissions vulnerability than can result in unauthorized remote control.

During an authenticated connection it may be possible for an attacker to control the mouse without regard for the server's current control setting. This can be exploited from both the viewer and presenter roles, enabling the viewer to control the presenters mouse or enabling the 'switch sides' feature without requiring the client to agree.


Upgrade to TeamViewer 11.0.89975 / 12.0.89970 / 13.0.5640 or later.

See Also

Plugin Details

Severity: Medium

ID: 105074

File Name: teamviewer_perm_hook.nasl

Version: $Revision: 1.4 $

Type: local

Agent: windows

Family: Windows

Published: 2017/12/07

Modified: 2017/12/11

Dependencies: 52715

Risk Information

Risk Factor: Medium


Base Score: 5.1

Temporal Score: 4.2

Vector: CVSS2#AV:N/AC:H/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:F/RL:OF/RC:ND


Base Score: 5

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:L/I:L/A:L

Vulnerability Information

Required KB Items: SMB/TeamViewer/Installed

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2017/12/05

Vulnerability Publication Date: 2017/12/04

Reference Information

OSVDB: 170442